Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.saxfilter
Class CustomXmlFilterAppender

    java.lang.Object
      com.servingxml.components.content.AbstractContent
          com.servingxml.components.saxfilter.AbstractXmlFilterAppender
              com.servingxml.components.saxfilter.CustomXmlFilterAppender

All Implemented Interfaces:
  Content, Stringable

    public class CustomXmlFilterAppender

extends AbstractXmlFilterAppender
implements Content

Factory for creating a XMLFilter.

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary

Fields inherited from interface com.servingxml.components.content.Content
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Constructor Summary
`CustomXmlFilterAppender(InstanceFactory instanceFactory, java.util.Properties properties)`

Method Summary
`void` | `appendToXmlPipeline(ServiceContext context, Flow flow, XmlFilterChain pipeline)`
`org.xml.sax.XMLFilter` | `createXmlFilter(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.saxfilter.AbstractXmlFilterAppender
`createSaxSource, createXmlPipeline`

Methods inherited from class com.servingxml.components.content.AbstractContent
`createDefaultOutputProperties, createString, execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.content.Content
`createSaxSource, createXmlPipeline`

Methods inherited from interface com.servingxml.components.string.Stringable
`createString`

Constructor Detail

### CustomXmlFilterAppender

    public CustomXmlFilterAppender(InstanceFactory instanceFactory,
                                   java.util.Properties properties)

Method Detail

### appendToXmlPipeline

    public void appendToXmlPipeline(ServiceContext context,
                                    Flow flow,
                                    XmlFilterChain pipeline)

  Specified by:
    `appendToXmlPipeline` in interface `Content`

### createXmlFilter

    public org.xml.sax.XMLFilter createXmlFilter(ServiceContext context,
                                                 Flow flow)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD